package com.hubspot.sprinter;

/**
 * Static methods to get various managers.
 * 
 * @author dabdinoor
 */
public class ManagerUtils {
    /** The team manager. */
    private static TeamManager teamManager;

    /** The developer manager. */
    private static DeveloperManager developerManager;

    /** The sprint manager. */
    private static SprintManager sprintManager;

    /** The sprint manager. */
    private static SprintTeamManager sprintTeamManager;

    /** The SprintTeamDeveloper manager. */
    private static SprintTeamDeveloperManager sprintTeamDeveloperManager;

    /** The SprintTeamStats Manager. */
    private static SprintTeamStatsManager sprintTeamStatsManager;

    /**
     * @return the sprintManager
     */
    public static SprintManager getSprintManager() {
        if (sprintManager == null) {
            sprintManager = new SprintManager();
        }
        return sprintManager;
    }

    /**
     * @return the sprintTeamManager
     */
    public static SprintTeamManager getSprintTeamManager() {
        if (sprintTeamManager == null) {
            sprintTeamManager = new SprintTeamManager();
        }
        return sprintTeamManager;
    }

    /**
     * @return the teamManager
     */
    public static TeamManager getTeamManager() {
        if (teamManager == null) {
            teamManager = new TeamManager();
        }

        return teamManager;
    }

    /**
     * @return the developerManager
     */
    public static DeveloperManager getDeveloperManager() {
        if (developerManager == null) {
            developerManager = new DeveloperManager();
        }
        return developerManager;
    }

    /**
     * @return the sprintTeamDeveloperManager
     */
    public static SprintTeamDeveloperManager getSprintTeamDeveloperManager() {
        if (sprintTeamDeveloperManager == null) {
            sprintTeamDeveloperManager = new SprintTeamDeveloperManager();
        }
        return sprintTeamDeveloperManager;
    }

    /**
     * @return the sprintTeamStatsManager
     */
    public static SprintTeamStatsManager getSprintTeamStatsManager() {
        if (sprintTeamStatsManager == null) {
            sprintTeamStatsManager = new SprintTeamStatsManager();
        }

        return sprintTeamStatsManager;
    }
}
