package com.hubspot.sprinter;

import com.hubspot.utils.HubSpotIdentifiableObject;

/**
 * Represents a set of sprint constants like hours per day, bug fixing and slack. Most of these will never change.
 * 
 * @author dabdinoor
 */
public class SprintConstants extends HubSpotIdentifiableObject {
    private Double overheadPercentage = 0.2;
    private Double bugFixingPercentage = 0.25;

    /**
     * @return The amount of work done each sprint that is innovation.
     */
    public Double getInnovationPercentage() {
        return (1 - (overheadPercentage + bugFixingPercentage));
    }

    /**
     * @return the overheadPercentage
     */
    public Double getOverheadPercentage() {
        return overheadPercentage;
    }

    /**
     * @return the bugFixingPercentage
     */
    public Double getBugFixingPercentage() {
        return bugFixingPercentage;
    }
}
