package com.hubspot.sprinter;

import com.hubspot.utils.HubSpotIdentifiableObject;
import com.hubspot.utils.MiscUtils;

/**
 * Represents a team for one sprint like Red Sox Sprint 26a.
 * 
 * @author dabdinoor
 */
public class SprintTeam extends HubSpotIdentifiableObject {
    /** The sprint. */
    private Sprint sprint;

    /** The team. */
    private Team team;

    /** Number of days in this sprint. */
    private Double sprintDays;

    /** Average story points per dev day. */
    private Double velocity;

    /** Remark about the sprint. */
    private String remark;

    /**
     * @return the sprint
     */
    public Sprint getSprint() {
        return sprint;
    }

    /**
     * @param sprint
     *            the sprint to set
     */
    public void setSprint(final Sprint sprint) {
        this.sprint = sprint;
    }

    /**
     * @return the team
     */
    public Team getTeam() {
        return team;
    }

    /**
     * @param team
     *            the team to set
     */
    public void setTeam(final Team team) {
        this.team = team;
    }

    /**
     * @return the sprintDays
     */
    public Double getSprintDays() {
        return sprintDays;
    }

    /**
     * @param sprintDays
     *            the sprintDays to set
     */
    public void setSprintDays(final Double sprintDays) {
        this.sprintDays = sprintDays;
    }

    /**
     * @return the velocity
     */
    public Double getVelocity() {
        return velocity;
    }

    /**
     * @param velocity
     *            the velocity to set
     */
    public void setVelocity(final Double velocity) {
        this.velocity = velocity;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return MiscUtils.removeHtml(remark);
    }

    /**
     * @param remark
     *            the remark to set
     */
    public void setRemark(final String remark) {
        this.remark = remark;
    }
}
