package com.hubspot.sprinter;

import java.util.Collections;
import java.util.List;

import com.hubspot.utils.HubSpotIdentifiableObjectManager;
import com.hubspot.utils.db.DbUtils;
import com.hubspot.utils.db.HqlHelper;

/**
 * Manager for the SprintTeamDeveloper object.
 * 
 * @author dabdinoor
 */
public class SprintTeamDeveloperManager extends HubSpotIdentifiableObjectManager {
    /** Get SprintTeamDeveloper. */
    public SprintTeamDeveloper get(final Long id) {
        return (SprintTeamDeveloper) super.get(SprintTeamDeveloper.class, id);
    }

    /** Update SprintTeamDeveloper. */
    public boolean update(final SprintTeamDeveloper sprintTeamDeveloper) {
        return super.update(sprintTeamDeveloper);
    }

    /** Delete SprintTeamDeveloper. */
    public boolean delete(final SprintTeamDeveloper sprintTeamDeveloper) {
        return super.delete(sprintTeamDeveloper);
    }

    /** Save SprintTeamDeveloper. */
    public SprintTeamDeveloper save(final SprintTeamDeveloper sprintTeamDeveloper) {
        Long savedId = super.save(sprintTeamDeveloper);
        return get(savedId);
    }

    /** List sprint team developers. */
    public List<SprintTeamDeveloper> list(final Long sprintTeamId) {
        String hql = "FROM SprintTeamDeveloper WHERE sprintTeamId=" + sprintTeamId;

        HqlHelper helper = DbUtils.createHqlHelper(getSessionFactory());
        List<SprintTeamDeveloper> result = helper.runHql(hql);
        if (result == null) {
            return Collections.EMPTY_LIST;
        }

        return result;
    }
}
