package com.hubspot.sprinter;

import com.hubspot.utils.HubSpotIdentifiableObject;

/**
 * Represents the stats for a specific team for a specific sprint (i.e the Red Sox for Sprint 23b).
 * 
 * @author dabdinoor
 */
public class SprintTeamStats extends HubSpotIdentifiableObject {
    /** The sprint team. */
    private SprintTeam sprintTeam;

    /** The sprint. */
    private Sprint sprint;

    /** The team. */
    private Team team;

    /** Number of developer days. */
    private Double developerDays;

    /** Number of points planned for the sprint. */
    private Integer plannedPoints;

    /** Number of points completed in the sprint. */
    private Integer completedPoints;

    /** Number of stories planned for the sprint. */
    private Integer plannedStories;

    /** Number of stories completed in the sprint. */
    private Integer completedStories;

    /**
     * @return the sprintTeam
     */
    public SprintTeam getSprintTeam() {
        return sprintTeam;
    }

    /**
     * @param sprintTeam
     *            the sprintTeam to set
     */
    public void setSprintTeam(SprintTeam sprintTeam) {
        this.sprintTeam = sprintTeam;
    }

    /**
     * @return the plannedPoints
     */
    public Integer getPlannedPoints() {
        return plannedPoints;
    }

    /**
     * @param plannedPoints
     *            the plannedPoints to set
     */
    public void setPlannedPoints(Integer plannedPoints) {
        this.plannedPoints = plannedPoints;
    }

    /**
     * @return the completedPoints
     */
    public Integer getCompletedPoints() {
        return completedPoints;
    }

    /**
     * @param completedPoints
     *            the completedPoints to set
     */
    public void setCompletedPoints(Integer completedPoints) {
        this.completedPoints = completedPoints;
    }

    /**
     * @return the sprint
     */
    public Sprint getSprint() {
        return sprint;
    }

    /**
     * @param sprint
     *            the sprint to set
     */
    public void setSprint(Sprint sprint) {
        this.sprint = sprint;
    }

    /**
     * @return the team
     */
    public Team getTeam() {
        return team;
    }

    /**
     * @param team
     *            the team to set
     */
    public void setTeam(Team team) {
        this.team = team;
    }

    /**
     * @return the developerDays
     */
    public Double getDeveloperDays() {
        return developerDays;
    }

    /**
     * @param developerDays
     *            the developerDays to set
     */
    public void setDeveloperDays(Double developerDays) {
        this.developerDays = developerDays;
    }

    /**
     * @return the plannedStories
     */
    public Integer getPlannedStories() {
        return plannedStories;
    }

    /**
     * @param plannedStories
     *            the plannedStories to set
     */
    public void setPlannedStories(Integer plannedStories) {
        this.plannedStories = plannedStories;
    }

    /**
     * @return the completedStories
     */
    public Integer getCompletedStories() {
        return completedStories;
    }

    /**
     * @param completedStories
     *            the completedStories to set
     */
    public void setCompletedStories(Integer completedStories) {
        this.completedStories = completedStories;
    }
}
