package com.hubspot.sprinter;

import java.util.Collections;
import java.util.List;

import com.hubspot.utils.HubSpotIdentifiableObjectManager;
import com.hubspot.utils.db.DbUtils;
import com.hubspot.utils.db.HqlHelper;

/**
 * Manager for the Team object.
 * 
 * @author dabdinoor
 */
public class TeamManager extends HubSpotIdentifiableObjectManager {
    /** Get team. */
    public Team get(final Long id) {
        return (Team) super.get(Team.class, id);
    }

    /** Update team. */
    public boolean update(final Team team) {
        return super.update(team);
    }

    /** Delete team. */
    public boolean delete(final Team team) {
        return super.delete(team);
    }

    /** Save team. */
    public Team save(final Team team) {
        Long savedId = super.save(team);
        return get(savedId);
    }

    /**
     * List teams.
     * 
     * @param includeHidden
     *            Specify if you want hidden teams.
     **/
    public List<Team> list(final boolean includeHidden) {
        String hql = "FROM Team";
        if (!includeHidden) {
            hql += " WHERE hide = FALSE";
        }

        hql += " ORDER BY name";

        HqlHelper helper = DbUtils.createHqlHelper(getSessionFactory());
        List<Team> result = helper.runHql(hql);
        if (result == null) {
            return Collections.EMPTY_LIST;
        }

        return result;
    }
}
