package com.hubspot.sprinter.web;

import java.util.List;

import org.apache.commons.lang.xwork.StringUtils;

import com.hubspot.sprinter.Developer;
import com.hubspot.sprinter.ManagerUtils;
import com.hubspot.sprinter.Sprint;
import com.hubspot.sprinter.Team;

/**
 * Backs the admin screen.
 * 
 * @author dabdinoor
 */
public class AdminAction extends BaseAction {
    /** The list of all sprints to display. */
    private List<Sprint> sprints;

    /** The list of all developers to display. */
    private List<Developer> developers;

    /** The list of all teams to display. */
    private List<Team> teams;

    @Override
    public String execute() throws Exception {
        return SUCCESS;
    }

    /** Get the team name. */
    public String getTeamName(final Long teamId) {
        String name = getTeamNames().get(teamId);
        if (StringUtils.isEmpty(name)) {
            return StringUtils.EMPTY;
        }
        return name;
    }

    /**
     * @return the sprints
     */
    public List<Sprint> getSprints() {
        if (sprints == null) {
            sprints = ManagerUtils.getSprintManager().list();
        }
        return sprints;
    }

    /**
     * @return the developers
     */
    public List<Developer> getDevelopers() {
        if (developers == null) {
            developers = ManagerUtils.getDeveloperManager().list();
        }
        return developers;
    }

    /**
     * @return the teams
     */
    public List<Team> getTeams() {
        if (teams == null) {
            teams = ManagerUtils.getTeamManager().list(true);
        }
        return teams;
    }
}
