package com.hubspot.sprinter.web;

import java.util.List;

import com.hubspot.sprinter.ManagerUtils;
import com.hubspot.sprinter.SprintTeam;
import com.hubspot.sprinter.Team;

/**
 * Backs the sprint view screen.
 * 
 * @author dabdinoor
 */
public class SprintViewAction extends BaseAction {
    /** The ID of the team being viewed. */
    private Long id;

    /** The team being viewed. */
    private Team team;

    /** The list of all sprint teams to display. */
    private List<SprintTeam> sprintTeams;

    @Override
    public String execute() throws Exception {
        return SUCCESS;
    }

    /**
     * @return the sprints for this team
     */
    public List<SprintTeam> getSprintTeams() {
        if (sprintTeams == null) {
            sprintTeams = ManagerUtils.getSprintTeamManager().listByTeamId(id);
        }
        return sprintTeams;
    }

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id
     *            the id to set
     */
    public void setId(final Long id) {
        this.id = id;
    }

    /**
     * @return the sprint
     */
    public Team getTeam() {
        if (team == null) {
            team = ManagerUtils.getTeamManager().get(id);
        }
        return team;
    }
}
