<#include "htmlMacros.ftl" />
<#setting number_format="0.##">

<@docStart title="Admin" />
  <h2>Sprints</h2>
  <p><a href="sprint-edit">Add new Sprint</a></p>
  <@listSprints />

  <h2>Teams</h2>
  <p><a href="team-edit">Add new Team</a></p>
  <@listTeams />
  
  <h2>Developers</h2>
  <p><a href="developer-edit">Add new Developer</a></p>
  <@listDevelopers />
<@docEnd />

<#macro listSprints>
  <#if !sprints?has_content>
    <p>No sprints, create one?</p>
    <#return />
  </#if>
  
  <table>
    <thead>
      <tr>
        <th>name</th>
        <th>sequence</th>
        <th>action</th>
      </tr>
    </thead>
    <tbody>
      <#list sprints as sprint>
        <tr>
          <td>${sprint.name}</td>
          <td>${sprint.sequence}</td>
          <td>
            <a href="sprint-edit?id=${sprint.id?c}">edit</a>
            | <a href="sprint-destroy?id=${sprint.id?c}" class="destroy" onclick="javascript:return destroyPrompt();">destroy</a>
          </td>
        </tr>
      </#list>
    </tbody>
  </table>
</#macro>

<#macro listDevelopers>
  <#if !developers?has_content>
    <p>No developers, create one?</p>
    <#return />
  </#if>
  
  <table>
    <thead>
      <tr>
        <th>name</th>
        <th>default team</th>
        <th>default percentage</th>
        <th>action</th>
      </tr>
    </thead>
    <tbody>
      <#list developers as developer>
        <tr>
          <td>${developer.name}</td>
          <td>${action.getTeamName(developer.defaultTeamId)}</td>
          <td>${developer.defaultPercentage?string.percent}</td>
          <td><a href="developer-edit?id=${developer.id?c}">edit</a></td>
        </tr>
      </#list>
    </tbody>
  </table>
</#macro>

<#macro listTeams>
  <#if !teams?has_content>
    <p>No teams, create one?</p>
    <#return />
  </#if>
  
  <table>
    <thead>
      <tr>
        <th>name</th>
        <th>average velocity</th>
        <th>hidden</th>
        <th>action</th>
      </tr>
    </thead>
    <tbody>
      <#list teams as team>
        <tr>
          <td><a href="view?id=${team.id?c}">${team.name}</a></td>
          <td>${team.averageVelocity}</td>
          <td><#if (team.hide)>hidden</#if></td>
          <td><a href="team-edit?id=${team.id?c}">edit</a></td>
        </tr>
      </#list>
    </tbody>
  </table>
</#macro>