<#include "htmlMacros.ftl" />
<#setting number_format="0.##">
<#assign realTotal = 0.0 />

<@docStart title="${sprintTeam.sprint.name} ${sprintTeam.team.name} Plan" />
  <h2>Constants</h2>
  <table>
    <tbody>
      <tr>
        <td>Meetings, interviews, misc.</td>
        <td>${sprintConstants.overheadPercentage?string.percent}</td>
      </tr>
      <tr>
        <td>Bug fixing allowance</td>
        <td>${sprintConstants.bugFixingPercentage?string.percent}</td>
      </tr>
      <tr>
        <td>Innovation per day</td>
        <td>${sprintConstants.innovationPercentage?string.percent}</td>
      </tr>
      <tr>
        <td>Work days in sprint</td>
        <td><a href="sprint-team-edit?id=${sprintTeam.id?c}">${sprintTeam.sprintDays}</a></td>
      </tr>
    </tbody>
  </table>
  
  <h2>Developers</h2>
  <@renderList />

  <h2>Plan</h2>
  <table>
    <tbody>
      <tr>
        <td>Story points per Developer per day</td>
        <td><a href="sprint-team-edit?id=${sprintTeam.id?c}">${sprintTeam.velocity}</a></td>
      </tr>
      <tr>
        <td>Developer days available</td>
        <td>${realTotal}</td>
      </tr>
      <tr>
        <td>Story points available</td>
        <#assign available = (realTotal * sprintTeam.velocity) />
        <td><span class="highlight">${available}</span></td>
      </tr>
    </tbody>
  </table>
  
  <h2>Comment</h2>
  <a href="sprint-team-edit?id=${sprintTeam.id?c}">${action.getComment()}</a>
      
  <h2>Result</h2>
  <@renderResults />

  <p class="back">
    <a href="view?id=${sprintTeam.team.id?c}">Back to ${sprintTeam.team.name} Sprints</a>
  </p>
<@docEnd />

<#macro renderList>
  <p><a href="sprint-team-developer-add?id=${id}">Add developer</a></p>

  <#if !developers?has_content>
    <p>No developers, add one?</p>
    <#return />
  </#if>
  
  <table>
    <thead>
      <tr>
        <th>name</th>
        <th>percentage</th>
        <th>nominal</th>
        <th>vacations</th>
        <th>real</th>
        <th>action</th>
      </tr>
    </thead>
    <tbody>
      <#assign nominalTotal = 0.0 />
      <#assign vacationTotal = 0.0 />
      <#list developers as developer>
        <tr>
          <td>${developer.developer.name}</td>
          <td><a href="sprint-team-developer-edit?id=${developer.id?c}">${developer.percentage?string.percent}</a></td>
          <td>${developer.nominal}</td>
          <#assign nominalTotal = nominalTotal + developer.nominal />
          
          <td><a href="sprint-team-developer-edit?id=${developer.id?c}">${developer.vacation}</a></td>
          <#assign vacationTotal = vacationTotal + developer.vacation />
          
          <td>${developer.real}</td>
          <#assign realTotal = realTotal + developer.real />
          
          <td><a href="sprint-team-developer-delete?id=${developer.id?c}" onclick="javascript:return deletePrompt();">remove</a></td>
        </tr>
      </#list>
    </tbody>
    <tfoot>
      <tr>
        <td>Total</td>
        <td></td>
        <td>${nominalTotal}</td>
        <td>${vacationTotal}</td>
        <td>${realTotal}</td>
        <td></td>
      </tr>
    </tfoot>
  </table>
</#macro>

<#macro renderResults>
  <h3>Story Points</h3>
  <table>
    <tbody>
      <tr>
        <td>Committed</td>
        <td><a href="stats?id=${sprintTeamStats.id?c}&days=${realTotal}&points=${available}">${sprintTeamStats.plannedPoints}</a></td>
      </tr>
      <tr>
        <td>Completed</td>
        <td><a href="stats?id=${sprintTeamStats.id?c}&days=${realTotal}&points=${available}">${sprintTeamStats.completedPoints}</a></td>
      </tr>
      <tr>
        <td>Completion percentage</td>
        <td>
          <#if (sprintTeamStats.plannedPoints > 0)>
            ${(sprintTeamStats.completedPoints / sprintTeamStats.plannedPoints)?string.percent}
          <#else>
            0%
          </#if>
        </td>
      </tr>
      <tr>
        <td>Team velocity this sprint</td>
        <td>
          <a href="velocity?id=${sprintTeam.id?c}">
          <#if (sprintTeamStats.developerDays > 0)>
            ${sprintTeamStats.completedPoints / sprintTeamStats.developerDays}
          <#else>
            0
          </#if>
          </a>
        </td>
      </tr>
      <tr>
        <td>Team average velocity</td>
        <td><a href="velocity?id=${sprintTeam.id?c}">${sprintTeam.team.averageVelocity}</a></td>
      </tr>
    </tbody>
  </table>

  <h3>Stories</h3>
  <table>
    <tbody>
      <tr>
        <td>Committed</td>
        <td><a href="stats?id=${sprintTeamStats.id?c}&days=${realTotal}&points=${available}">${sprintTeamStats.plannedStories}</a></td>
      </tr>
      <tr>
        <td>Completed</td>
        <td><a href="stats?id=${sprintTeamStats.id?c}&days=${realTotal}&points=${available}">${sprintTeamStats.completedStories}</a></td>
      </tr>
      <tr>
        <td>Completion percentage</td>
        <td>
          <#if (sprintTeamStats.plannedStories > 0)>
            ${(sprintTeamStats.completedStories / sprintTeamStats.plannedStories)?string.percent}
          <#else>
            0%
          </#if>
        </td>
      </tr>
      <tr>
        <td>Points per story this sprint</td>
        <td>
          <#if (sprintTeamStats.completedStories > 0)>
            ${sprintTeamStats.completedPoints / sprintTeamStats.completedStories}
          <#else>
            0
          </#if>
        </td>
      </tr>
    </tbody>
  </table>
</#macro>