<#include "htmlMacros.ftl" />
<#setting number_format="0.##">

<@docStart title="${sprintTeam.team.name} Team Velocity" />
  <@renderChart /> 
  <@renderList />   
    <p class="back">
    <a href="plan?id=${sprintTeam.id?c}">Back to ${sprintTeam.sprint.name} ${sprintTeam.team.name} Plan</a>
    </p>
<@docEnd />

<#macro renderList>
  <#if !sprintTeamStats?has_content>
    <p>No stats.</p>
    <#return />
  </#if>
  
  <table>
    <thead>
      <tr>
        <th>sprint</th>
        <th>developer days</th>
        <th>points committed</th>
        <th>points completed</th>
        <th>velocity</th>
        <th>stories committed</th>
        <th>stories completed</th>
        <th>comment</th>
      </tr>
    </thead>
    <tbody>
      <#list sprintTeamStats as stats>
        <tr>
          <td><a href="plan?id=${stats.sprintTeam.id?c}">${stats.sprint.name}</a></td>
          <td>${stats.developerDays}</td>
          <td>${stats.plannedPoints}</td>
          <td>${stats.completedPoints}</td>
          <td>
            <#if (stats.developerDays > 0)>
              ${stats.completedPoints / stats.developerDays}
            <#else>
              0
            </#if>
          </td>
          <td>${stats.plannedStories}</td>
          <td>${stats.completedStories}</td>
          <td>${stats.sprintTeam.remark}</td>
        </tr>
      </#list>
    </tbody>
    <tfoot>
      <td>Average</td>
      <td></td>
      <td></td>
      <td></td>
      <td>${sprintTeam.team.averageVelocity}</td>
      <td></td>
      <td></td>
      <td></td>
    </tfoot>
  </table>
</#macro>

<#macro renderChart>
  <!-- ${velocityChartURL}" /> -->
<div id="chart_div"></div>
<script language="javascript" src="http://www.google.com/jsapi"></script>
<script type="text/javascript">
  ${sprintNameValues}  <#-- A javascript array named sprintNames -->
  ${velocityValues}    <#-- A javascript array named velocityValues -->
  ${avgVelocityValues} <#-- A javascript array named avgVelocityValues -->
  google.load("visualization", "1", {packages:["corechart"]});
  google.setOnLoadCallback(drawChart);
  function drawChart() {
    var data = new google.visualization.DataTable();
    data.addColumn('string', 'Sprint');
    data.addColumn('number', 'Velocity');
    data.addColumn('number', 'Average');
    data.addRows(sprintNames.length);
    for( key in sprintNames){
      if (sprintNames.hasOwnProperty(key)){
        var numericIndex = parseInt(key);
        data.setValue(numericIndex, 0, sprintNames[key]);
        
        if(velocityValues.hasOwnProperty(key)){
          var velocity = velocityValues[key];
          if ( velocity >= 0 ){
            data.setValue(numericIndex, 1, velocity);
          }
          //If velocity was negative, then the sprint had no developer days set.
        } else {
          //do nothing, and allow interpolateNulls=true to work
        }
        if(avgVelocityValues.hasOwnProperty(key)){
          data.setValue(numericIndex, 2, avgVelocityValues[key]);
        } else{
          //do nothing, and allow interpolateNulls=true to work
        }
       
      }
    }
    var chart = new google.visualization.LineChart(document.getElementById('chart_div'));
    chart.draw(data, {width: 1000, height: 500, interpolateNulls: true, chartArea:{left:35},
                      vAxis: {minValue: 0,baseline: 0}});
      }
</script>
 
</#macro>