package com.hubspot.sprinter;

import com.hubspot.utils.BaseTest;

/**
 * Tests for the DeveloperManager.
 * 
 * @author dabdinoor
 */
public class DeveloperManagerTest extends BaseTest {
    /** Test basic CRUD operations. */
    public void testCRUD() {
        DeveloperManager manager = new DeveloperManager();

        Developer developer = manager.get(null);
        assertNull(developer);

        developer = new Developer();
        developer.setName("Test developer");
        developer.setDefaultPercentage(1.0);
        developer.setDefaultTeamId(1L);

        Developer saved = manager.save(developer);
        assertNotNull(saved);

        saved.setName("shoes");

        boolean success = manager.update(saved);
        assertTrue(success);

        Developer updated = manager.get(saved.getId());
        assertEquals("shoes", updated.getName());
        assertEquals(1.0, updated.getDefaultPercentage());
        assertEquals(Long.valueOf(1), updated.getDefaultTeamId());

        success = manager.delete(updated);
        assertTrue(success);
    }
}
