package com.hubspot.sprinter;

import com.hubspot.utils.BaseTest;

/**
 * Tests for the TeamManager.
 * 
 * @author dabdinoor
 */
public class TeamManagerTest extends BaseTest {
    /** Test basic CRUD operations. */
    public void testCRUD() {
        TeamManager manager = new TeamManager();

        Team team = manager.get(null);
        assertNull(team);

        team = new Team();
        team.setName("Test team");
        team.setAverageVelocity(1.0);
        team.setHide(false);

        Team saved = manager.save(team);
        assertNotNull(saved);

        saved.setName("shoes");

        boolean success = manager.update(saved);
        assertTrue(success);

        Team updated = manager.get(saved.getId());
        assertEquals("shoes", updated.getName());

        success = manager.delete(updated);
        assertTrue(success);
    }
}
